<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [GraftingTask](./bitburner.graftingtask.md)

## GraftingTask interface

Grafting Work

**Signature:**

```typescript
export interface GraftingTask extends BaseTask 
```
**Extends:** [BaseTask](./bitburner.basetask.md)

## Remarks

An object representing the current grafting task

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [augmentation](./bitburner.graftingtask.augmentation.md) |  | string |  |
|  [completion](./bitburner.graftingtask.completion.md) |  | Promise&lt;void&gt; | This promise resolves when the task is complete. |
|  [type](./bitburner.graftingtask.type.md) |  | "GRAFTING" |  |

